Page MenuHomePhabricator

OAuth MediaWiki extension's "Privacy policy" link is wrong on Wikimedia wikis
Closed, ResolvedPublic

Description

[[mw:Extension:OAuth]] prompts a user to authorize an app at a URL similar to https://www.mediawiki.org/w/index.php?title=Special:MWOAuth/authorize&oauth_token=0cd1232bf697849cedc5d95f77d61144&oauth_consumer_key=f26337df9e626952ba65123be86f8e62.

This prompt looks like this:


Hi MZMcBride,

Gerrit Patch Uploader would like to have basic access on your behalf on www.mediawiki.org.

Privacy Policy [Cancel] [Allow]

"Privacy Policy" should probably be in sentence case, but more worryingly, it currently links to [[mw:Project:Privacy policy]], which doesn't exist. It should link to [[wmf:Privacy policy]] on Wikimedia wikis.

This may be an issue for the WikimediaMessages extension. I'm not sure.


Version: unspecified
Severity: normal

Details

Reference
bz55704

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:33 AM
bzimport set Reference to bz55704.
bzimport added a subscriber: Unknown Object (MLST).

(In reply to comment #0)

This may be an issue for the WikimediaMessages extension. I'm not sure.

That is probably the case. We don't want non-WMF wikis linking to the WMF privacy policy by default.

I'm not sure how overriding a message from one extension in another actually works, though.

This seems to be fixed. The link goes to https://wikimediafoundation.org/wiki/Privacy_policy on mw.o. Is the wrong link showing up anywhere else?

aaron added a comment.Oct 15 2013, 7:14 PM

(In reply to comment #2)

This seems to be fixed. The link goes to
https://wikimediafoundation.org/wiki/Privacy_policy on mw.o. Is the wrong
link
showing up anywhere else?

Is that a local override of the MediaWiki: page?

(In reply to comment #3)

(In reply to comment #2)

This seems to be fixed. The link goes to
https://wikimediafoundation.org/wiki/Privacy_policy on mw.o. Is the wrong
link
showing up anywhere else?

Is that a local override of the MediaWiki: page?

Yes, it is. [[mw:MediaWiki:Mwoauth-form-privacypolicy-link]]. I don't think we want to do that on every wiki and for every language.

(In reply to comment #4)

Yes, it is. [[mw:MediaWiki:Mwoauth-form-privacypolicy-link]]. I don't think
we want to do that on every wiki and for every language.

Indeed. We need a sane default here.

I'm not sure how overriding a message from one extension in another actually
works, though.

The copyright warning for the edit page uses a hook, see https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/master/WikimediaMessages.php#L38 for how it works.

aaron added a comment.Oct 21 2013, 5:21 PM

It would be nice if there was a generic hook for messages that could be overrided (the key name would be passed in).

Change 94416 had a related patch set uploaded by CSteipp:
Add hook to override message

https://gerrit.wikimedia.org/r/94416

Change 94416 merged by jenkins-bot:
Add hook to override message

https://gerrit.wikimedia.org/r/94416

Change 96894 had a related patch set uploaded by CSteipp:
Add site-wide privacy link

https://gerrit.wikimedia.org/r/96894

Change 96894 merged by jenkins-bot:
Add site-wide privacy link

https://gerrit.wikimedia.org/r/96894

I believe this bug is now fixed. Thanks, all!